Package org.wso2.carbon.application.deployer.synapse.internal

## Class DataHolder

- java.lang.Object
- - org.wso2.carbon.application.deployer.synapse.internal.DataHolder

-     public class DataHolder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataHolder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSynapseEnvironmentService​(int id, org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` |
    `static DataHolder` | `getInstance()` |
    `org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService` | `getSynapseEnvironmentService​(int id)` |
    `Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService>` | `getSynapseEnvironmentServices()` |
    `void` | `removeSynapseEnvironmentService​(int id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHolder

          public DataHolder()

  - ### Method Detail

    - #### getInstance

          public static DataHolder getInstance()

    - #### getSynapseEnvironmentService

          public org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService getSynapseEnvironmentService​(int id)

    - #### addSynapseEnvironmentService

          public void addSynapseEnvironmentService​(int id,
                                                   org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

    - #### removeSynapseEnvironmentService

          public void removeSynapseEnvironmentService​(int id)

    - #### getSynapseEnvironmentServices

          public Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService> getSynapseEnvironmentServices()